Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615812 - Review Request: geronimo-interceptor - Java EE: Interceptor API v3.0
Review Request: geronimo-interceptor - Java EE: Interceptor API v3.0
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 616250
  Show dependency treegraph
 
Reported: 2010-07-18 19:52 EDT by Spike
Modified: 2010-07-27 00:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 00:58:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Spike 2010-07-18 19:52:27 EDT
Spec URL: http://spike.fedorapeople.org/geronimo-interceptor-3.0-api/geronimo-interceptor-3.0-api.spec
SRPM URL: http://spike.fedorapeople.org/geronimo-interceptor-3.0-api/geronimo-interceptor-3.0-api-1.0.1-1.fc14.src.rpm
Description: Contains annotations and interfaces for defining interceptor methods, interceptor classes and for binding interceptor classes to target classes.

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2327954

Note: koji scratch build fails due to an old version of maven-remote-resources-plugin. This should be fixed in rawhide (-> https://bugzilla.redhat.com/show_bug.cgi?id=613582). A mock build against rawhide works flawlessly.
Comment 1 Spike 2010-07-18 20:01:29 EDT
Actually, the last koji scratch build was successful. Seems maven-remote-resources-plugin 1.1-6 is now available there.
Comment 3 Stanislav Ochotnicky 2010-07-26 08:37:23 EDT
I am taking this one
Comment 4 Stanislav Ochotnicky 2010-07-26 09:08:22 EDT
OK: rpmlint must be run on every package. The output should be posted in the review.
geronimo-interceptor.noarch: W: non-conffile-in-etc /etc/maven/fragments/geronimo-interceptor
geronimo-interceptor.src: W: invalid-url Source0: geronimo-interceptor_3.0_spec-1.0.1.tar.gz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

upstream doesn't have proper source releases so no problem

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: All independent sub-packages have License of their own (if it exists)
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
NEEDSWORK: Each package must consistently use macros.

You use %{__rm}  in %clean but normal rm in %build. 

OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8. 

Note that you could use XZ compression (tar caf ...) insteat of gzip,
for better compression ratio. This package is only ~9kb so this is more for
future if you will ever do bigger packages.

That's about it I guess...so on condition that you fix that rm macro,
package is APPROVED.
Comment 5 Spike 2010-07-26 09:52:51 EDT
(In reply to comment #4)
> NEEDSWORK: Each package must consistently use macros.
> 
> You use %{__rm}  in %clean but normal rm in %build. 

Fixed. For reference, new spec and SRPM:

http://spike.fedorapeople.org/geronimo-interceptor/geronimo-interceptor.spec
http://spike.fedorapeople.org/geronimo-interceptor/geronimo-interceptor-1.0.1-2.fc14.src.rpm
Comment 6 Spike 2010-07-26 09:54:48 EDT
New Package CVS Request
=======================
Package Name: geronimo-interceptor
Short Description: Java EE: Interceptor API v3.0
Owners: spike
Branches: 
InitialCC:
Comment 7 Kevin Fenzi 2010-07-26 18:33:38 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Spike 2010-07-27 00:58:46 EDT
Package built, closing.

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2353375

Note You need to log in before you can comment on or make changes to this bug.